### Virtual Method

# Ide SourceView paste_clipboard_extended

#### Declaration

    void
    paste_clipboard_extended (
      IdeSourceView* self,
      gboolean smart_lines,
      gboolean after_cursor,
      gboolean place_cursor_at_original
    )

#### Description

No description available.

#### Parameters

`smart_lines` | `gboolean`
| No description available.
`after_cursor` | `gboolean`
| No description available.
`place_cursor_at_original` | `gboolean`
| No description available.